import { declare } from '@babel/helper-plugin-utils';
import syntaxExportDefaultFrom from '@babel/plugin-syntax-export-default-from';
import { types } from '@babel/core';

var index = declare(api => {
  api.assertVersion(7);
  return {
    name: "proposal-export-default-from",
    inherits: syntaxExportDefaultFrom,
    visitor: {
      ExportNamedDeclaration(path) {
        const {
          node
        } = path;
        const {
          specifiers,
          source
        } = node;
        if (!types.isExportDefaultSpecifier(specifiers[0])) return;
        const {
          exported
        } = specifiers.shift();
        if (specifiers.every(s => types.isExportSpecifier(s))) {
          specifiers.unshift(types.exportSpecifier(types.identifier("default"), exported));
          return;
        }
        const nodes = [types.exportNamedDeclaration(null, [types.exportSpecifier(types.identifier("default"), exported)], types.cloneNode(source))];
        if (specifiers.length >= 1) {
          nodes.push(node);
        }
        path.replaceWithMultiple(nodes);
      }
    }
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
